DebuggableObject (rhino 1.7.14 API)

org.mozilla.javascript.debug

## Interface DebuggableObject

- All Known Implementing Classes:
    ArrowFunction, BaseFunction, BindingsObject, BoundFunction, Environment, ES6Generator, ES6Iterator, FunctionObject, Global, IdFunctionObject, IdFunctionObjectES6, IdScriptableObject, ImporterTopLevel, LambdaConstructor, LambdaFunction, ModuleScope, NativeArray, NativeArrayBuffer, NativeArrayBufferView, NativeArrayIterator, NativeCall, NativeCallSite, NativeCollectionIterator, NativeContinuation, NativeDataView, NativeFloat32Array, NativeFloat64Array, NativeFunction, NativeGenerator, NativeInt16Array, NativeInt32Array, NativeInt8Array, NativeIterator, NativeIterator.StopIteration, NativeJavaConstructor, NativeJavaMethod, NativeJavaPackage, NativeJavaTopPackage, NativeJSON, NativeMap, NativeObject, NativePromise, NativeRegExp, NativeSet, NativeStringIterator, NativeSymbol, NativeTypedArrayView, NativeUint16Array, NativeUint32Array, NativeUint8Array, NativeUint8ClampedArray, NativeWeakMap, NativeWeakSet, Require, ScriptableObject, TopLevel, XMLObject

      public interface DebuggableObject

  This interface exposes debugging information from objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getAllIds()` Returns an array of ids for the properties of the object.

- - ### Method Detail

    - #### getAllIds

          java.lang.Object[] getAllIds()

      Returns an array of ids for the properties of the object.

      All properties, even those with attribute {DontEnum}, are listed. This allows the debugger to display all properties of the object.

      Returns:
        an array of java.lang.Objects with an entry for every listed property. Properties accessed via an integer index will have a corresponding Integer entry in the returned array. Properties accessed by a String will have a String entry in the returned array.